Name: cdrkit
Version: 1.1.6
Release: alt1

Summary: This package is heavily based on cdrtools
Group: Development/C
License: GPL
Url: http://www.cdrkit.org/


Source: http://cdrkit.org/releases/%name-%version.tar.gz
PreReq: cdrkit-control


# Automatically added by buildreq on Sun Feb 10 2008
BuildRequires: cmake gcc-c++ libcap-devel zlib-devel

%description
This package is heavily based on cdrtools (by Jrg
Schilling, see below), however he is not affiliated
with the debburn development project creating this package.

This package contains the following software:

- wodim (a CD recording program). Originaly based on
  cdrecord by Jrg Schilling <schilling@fokus.fhg.de> but
  developed independently now.


- mkhybrid (an ISO-9660/HFS filesystem image creator)
  Link to mkisofs

- several diagnostic programs for ISO-9660, originaly from
  cdrtools (by Jrg Schilling), 

	-	devdump dump a device or file in hex

	-	isodump dump a device or file based on ISO-9660

	-	isoinfo analyze or list an ISO-9660 image

	-	isovfy verify an ISO-9660 image

- usalcheck (a program to validate the correct behavior
  By Jrg Schilling schilling@fokus.fhg.de and
  of the low level libusal code and the SCSI transport
  code of the underlying OS).

- libusal (a highly portable SCSI transport library)
  By Jrg Schilling schilling@fokus.fhg.de


%package -n wodim
Version: %version
Summary: A command line CD/DVD-Recorder
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning
PreReq: cdrkit-control

%package -n genisoimage
Version: %version
Summary: Creates an image of an ISO9660 filesystem
Summary(ru_RU.KOI8-R):     ISO9660
Group: Archiving/Cd burning

%package -n readom
Version: %version
Summary: readcd read or write data Compact Discs
Summary(ru_RU.KOI8-R):   /   CD
Group: Archiving/Cd burning

%package doc
Version: %version
Summary: A command line CD/DVD-Recorder
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning

%package man
Version: %version
Summary: A command line CD/DVD-Recorder
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning

%description -n wodim
Cdrecord is an application for creating audio and data CDs on
a CD-Recorder (SCSI/ATAPI).  Cdrecord works with many different
brands of CD recorders, fully supports data, audio, mixed,
multi-session, CD+ discs and provides human-readable error messages.

%description -n genisoimage
The genisoimage program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  genisoimage takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  genisoimage is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the genisoimage package if you need a program for writing CD-ROMs.

%description -n genisoimage -l ru_RU.KOI8-R
genisoimage -      -,
   ISO9660.    
        
,    ISO9660.  genisoimage
     -.

     -.

%description -n readom
Readcd is used to read or write Compact Discs.

%description doc
Documentation for cdrkit

%description man
Manuals for cdrkit
   
%prep
%setup

%build
%make
#pushd 3rd-party/zisofs_tools
#configure
#make
#popd

%install
%make PREFIX=%buildroot/usr install 
%find_lang %name
#pushd 3rd-party/zisofs_tools
#makeinstall
#popd
install -d -m 755 %buildroot%_defaultdocdir/%name-%version/doc/
f=`ls ./doc`
for i in $f
do
cp -r "./doc/$i" %buildroot%_defaultdocdir/%name-%version/doc/*
done


%pre -n wodim
%pre_control wodim

%post -n wodim
%register_alternatives cdrecord-classic
%post_control wodim

%pre -n readom
%pre_control readcd

%post -n readom
%post_control readcd

%post

%preun

%files -f %name.lang
%doc ABOUT COPYING Changelog FAQ FORK INSTALL START TODO VERSION
%_bindir/*
%exclude %_bindir/devdump 
%exclude %_bindir/isodebug 
%exclude %_bindir/isodump 
%exclude %_bindir/isoinfo 
%exclude %_bindir/isovfy 
%exclude %_bindir/cdda2ogg
%exclude %_bindir/cdda2mp3
%exclude %_bindir/readom
%exclude %_bindir/wodim
%exclude %_bindir/genisoimage

%_sbindir/*

%files -n wodim
%_bindir/wodim
%_man1dir/wodim.1.*
%doc doc/wodim/*

%files -n genisoimage
%_bindir/genisoimage*
%_man1dir/genisoimage.1.*
%doc doc/genisoimage/*

%files -n readom
%_bindir/readom
%_man1dir/readom.1.*

%files doc -f %name.lang
%doc doc/*

%files man -f %name.lang
%_mandir/man?/*
%exclude %_man1dir/readom.1.*
%exclude %_man1dir/wodim.1.*
%exclude %_man1dir/genisoimage.1.*
%exclude %_man1dir/cdda2ogg.1.*

%changelog
* Sun Feb 10 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.6-alt1
- New Version

* Tue Jan 16 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt2
- corrext summary

* Sun Jan 14 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt1
- correct description

* Sun Jan 14 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt0
- initial build

usr/bin:
dirsplit
genisoimage
icedax
pitchplay
readmult
readom
wodim

usr/sbin:
netscsid
